# Retrieve closing documents info

URL: https://docs.emergingtravel.com/docs/b2b-api/documents/retrieve-closing-documents-info/

Tags: b2b

---


```
https://api.worldota.net/api/b2b/v3/general/document/closing_documents/info/
```

The call gets the confirmatory accounting documents details.

Use the call to:

* Check the details on confirmatory accounting documents.
* And get a `package_id` field value for the [Retrieve closing documents](/docs/b2b-api/documents/retrieve-closing-documents-info/) call.

## Request example

```shell
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/general/document/closing_documents/info/?data={%22order_ids%22%3A55225%2C%22seal%22%3Atrue}'
```

## Parameters

> [!NOTE]
> The following fields are <strong>required</strong>:
> 
> * The `agreement_numbers` and `issue_date`.
> * Or the `order_ids`.





- **agreement_numbers** *(String, Query, optional)*

  <p>The contract agreement numbers.</p>


- **issue_date** *(String, Query, optional)*

  <p>The confirmatory accounting documents’ issue date.</p>


- **order_ids** *(String, Query, optional)*

  <p>The order ID.</p>





## Response



- **packages** *(Object)*

  <p>The confirmatory accounting document list.</p>
  <ul>
  <li>
  <p><strong>agreement_number</strong> <em>(String)</em></p>
  <p>The contract agreement number.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>order_ids</strong> <em>([Int])</em></p>
  <p>The order ID.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>package_id</strong> <em>(Int)</em></p>
  <p>The confirmatory accounting document ID.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>package_issue_date</strong> <em>(String)</em></p>
  <p>The confirmatory accounting document issue date.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>package_number</strong> <em>(String)</em></p>
  <p>The confirmatory accounting document number.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>reporting_month</strong> <em>(Int)</em></p>
  <p>The confirmatory accounting document reporting month.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>reporting_year</strong> <em>(Int)</em></p>
  <p>The confirmatory accounting document reporting year.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>total_commission</strong> <em>(Float)</em></p>
  <p>The agent remuneration during the reporting month.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>total_sum</strong> <em>(Float)</em></p>
  <p>The bookings total amount during the reporting month.</p>
  </li>
  </ul>
  <ul>
  <li>
  <p><strong>total_vat</strong> <em>(Float)</em></p>
  <p>The bookings total VAT during the reporting month.</p>
  </li>
  </ul>





## Response example

```json
{
  "data": {
    "packages": [
      {
        "agreement_number": "B2B-1234",
        "order_ids": [
          314159265,
          100666001
        ],
        "package_id": 55225,
        "package_issue_date": "2018-09-30",
        "package_number": "АТBP-083391",
        "reporting_month": 9,
        "reporting_year": 2018,
        "total_commission": "300.00",
        "total_sum": "314660.00",
        "total_vat": "0.00"
      }
    ]
  },
  "debug": null,
  "error": null,
  "status": "ok"
}
```

## Errors

The `error` field has the value specified in the headers below.

### `invalid_params`

The call is requested with the incorrect order of parameters. The correct order is:

* The `agreement_numbers` and `issue_date`.
* Or the `order_ids`.

### `invalid_params_issue_date_agreement_numbers`

The `agreement_numbers` and `issue_date` fields should be requested together.

### `orders_not_found`

The order with the `order_id` field value isn’t found.

### `agreements_not_found`

The documents with the `agreement_numbers` field value aren’t found.
